Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# spi.h

    00001 /*! \file spi.h \brief SPI Interface Driver for AT91SAM7S. */
    00002 //*****************************************************************************
    00003 //
    00004 // File Name    : 'spi.h'
    00005 // Title        : SPI Interface Driver for AT91SAM7S
    00006 // Author       : Pascal Stang - Copyright (C) 2006
    00007 // Created      : 2006.02.01
    00008 // Revised      : 2006.02.01
    00009 // Version      : 0.1
    00010 // Target MCU   : ARM processors
    00011 // Editor Tabs  : 4
    00012 //
    00013 // NOTE: This code is currently below version 1.0, and therefore is considered
    00014 // to be lacking in some functionality or documentation, or may not be fully
    00015 // tested.  Nonetheless, you can expect most functions to work.
    00016 //
    00017 /// \ingroup driver_arm_at91
    00018 /// \defgroup spi_at91 SPI Interface Driver for AT91SAM7S (armlib/arch/at91/spi.c)
    00019 /// \code #include "spi.h" \endcode
    00020 /// \par Overview
    00021 ///     To be written...
    00022 //
    00023 // This code is distributed under the GNU Public License
    00024 //      which can be found at http://www.gnu.org/licenses/gpl.txt
    00025 //
    00026 //*****************************************************************************
    00027 //@{
    00028
    00029 #ifndef ARMLIB_SPI_H
    00030 #define ARMLIB_SPI_H
    00031
    00032 // functions
    00033
    00034 // initialize SPI interface
    00035 void spiInit(void);
    00036
    00037 // spiTransferByte(u08 data) waits until the SPI interface is ready
    00038 // and then sends a single byte over the SPI port.  The function also
    00039 // returns the byte that was received during transmission.
    00040 u08 spiTransferByte(u08 data);
    00041
    00042
    00043 // these functions TBD
    00044
    00045 //u16 spiTransfer16(u16 data);
    00046 //u32 spiTransfer32(u32 data);
    00047 //void spiSetClockDiv(u08 clockdiv);
    00048
    00049 // spiSendByte(u16 data) waits until the SPI interface is ready
    00050 // and then sends a single byte over the SPI port.  This command
    00051 // does not receive anything.
    00052 //void spiSend(u16 data);
    00053
    00054 #endif
    00055 //@}
    00056